Skip to main content
GET
/
materials
/
filament
/
{id}
Get a single filament record
curl --request GET \
  --url https://api.autoprintfarm.com/public/v1/materials/filament/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "type": "<string>",
    "color": "<string>",
    "hex_code": "<string>",
    "brand": "<string>",
    "diameter": "<string>",
    "remaining_grams": 123,
    "spool_weight_grams": 123,
    "low_threshold": 123,
    "status": "<string>",
    "location": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API keys are minted in the AutoPrintFarm web app under Settings → API Keys. Send as Authorization: Bearer apf_live_.... Keys are shown exactly once at creation and can be revoked at any time.

Path Parameters

id
string
required

Response

Filament record

success
enum<boolean>
required
Available options:
true
data
object
required